with GNATCOM.Dispinterface;

package MSHTML.IHTMLTableRowMetrics_Interface is

   type IHTMLTableRowMetrics_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLTableRowMetrics_Type);

   function Pointer (This : IHTMLTableRowMetrics_Type)
     return Pointer_To_IHTMLTableRowMetrics;

   procedure Attach (This    : in out IHTMLTableRowMetrics_Type;
                     Pointer : in     Pointer_To_IHTMLTableRowMetrics);

   function Get_clientHeight
     (This : IHTMLTableRowMetrics_Type)
     return Interfaces.C.long;

   function Get_clientWidth
     (This : IHTMLTableRowMetrics_Type)
     return Interfaces.C.long;

   function Get_clientTop
     (This : IHTMLTableRowMetrics_Type)
     return Interfaces.C.long;

   function Get_clientLeft
     (This : IHTMLTableRowMetrics_Type)
     return Interfaces.C.long;

end MSHTML.IHTMLTableRowMetrics_Interface;

